Etat de AWN et de ces applets dans Debian/Ubuntu

Comme pour les screenlets, voici un petit résumé des paquets disponibles pour AWN et ses applets, mais d’abord un point rapide sur le projet.

Depuis la sortie de la version 0.2.6, il n’y a pas vraiment de changements visibles sur AWN. Cela tiens en fait à l’absence du créateur du projet qui, quand il n’est pas malade, déménage ou change de travail. De plus, la prochaine version est une réécriture d’une partie du dock pour permettre notamment de pouvoir le lancer AWN sans composite, mais aussi de faciliter le placement de la barre.

En ce qui concerne les applets, il y a un peu plus de mouvements, avec des nouveautés d’applets comme un qui affiche une page web (avec webkit), un applet tomboy très basique (fait par mes soins :)), un applet pour les comics, plus les applets vala qui marchent (dont celui qui regroupent les icônes d’une même application). D’autres ont vu le jour sur le web, je vous invite à venir visiter le forum pour plus de détails.

Concernant les paquets, on va commencer par ceux officiellement fournis par les distributions :

Debian Sid : AWN disponible en version 0.2.6 pour la barre et les applets (depuis aujourd’hui en fait). Ils sont regroupés en 4 binaires :

  • awn-applets-c-core et awn-applets-python-core regroupent les applets principaux en C et en Python. Ils seront installés par défaut avec la barre. Il y a normalement un seul type d’applet (un seul calendrier, un seul menu principal) pour éviter que de base un utilisateur se retrouve avec 4 pendules.
  • awn-applets-c-extras et awn-applets-python-extras : contiens tous les autres applets. J’ai regroupé ceux pas très utiles (ceux de test, les doubles, ou ceux ayant des dépendances importantes)
  • Ne sont pas présents la zone de notification (trop bugguée), pandora (pareil), comics (ne marche pas), et affinity (car j’aimerais packager affinity lui-même avant).

Par le jeu des migrations/merges etc … ces paquets vont normalement se retrouver dans Debian Testing, Ubuntu Hardy+1, et peut-être dans Hardy via les backports. Je ferais des demandes de backport après la sortie de Hardy.

Debian Testing : AWN est en version 0.2.6 mais vous aurez besoin de la version Sid (0.2.6-3) pour pouvoir utiliser les applets de Sid.

Ubuntu Hardy : AWN est présent en version 0.2.1 sans applets par les dépôts universe.

Ubuntu Gutsy : AWN est présent en version 0.2.1 sans applets par les dépôts backports.

Pour les futurs évolutions éventuelles de ces paquets, voir la partie sur Debian Sid.

Il existe également des dépôts externes pour obtenir des versions plus à jour. Mais je conseille plutôt de se tourner vers les version présentes dans les dépôts officiels sauf à vouloir vraiment une amélioration présente dans une version plus élevée. Dans ce cas, désinstallez la version officielle avant toute installation autre.

Dépôts de reacocard : Historiquement le premier packageur de AWN maintiens des paquets à jour des versions « bzr », c’est à dire venant de l’arbre de développement. Ils correspondent à l’image actuelle du développement.

Les lignes à rajouter pour hardy

deb http://ppa.launchpad.net/reacocard-awn/ubuntu hardy main
deb-src http://ppa.launchpad.net/reacocard-awn/ubuntu hardy main

Pour gutsy

deb http://ppa.launchpad.net/reacocard-awn/ubuntu gutsy main
deb-src http://ppa.launchpad.net/reacocard-awn/ubuntu gutsy main

Les paquets ont un -bzr à la fin de leur nom pour signifier que c’est une version de développement. Ils contiennent dock et applets en version 0.3.1 (c’est à dire en cours de développement).

Les dépôts awn-testing : ils sont maintenus par moi-même et un autre développeur de AWN (« malept »). Ils contiennent aussi les versions de développement, mais aussi des versions plus à jour de vala et webkit. Les lignes à rajouter pour hardy :

deb http://ppa.launchpad.net/awn-testing/ubuntu hardy main
deb-src http://ppa.launchpad.net/awn-testing/ubuntu hardy main

et Gutsy

deb http://ppa.launchpad.net/awn-testing/ubuntu gutsy main
deb-src http://ppa.launchpad.net/awn-testing/ubuntu gutsy main

Les paquets ont un -trunk à la fin.

Je déconseille tout autre installation, que ce soit via les sources ou un autre dépôt. Les 2 cités sont maintenus à jour et peuvent être corrigés en cas de bugs et problème divers par des personnes proches du projet.  Cela inclus aussi GetDeb, que je déconseille plus que tout.

Liens utiles :

Laisser un commentaire

Entrez vos coordonnées ci-dessous ou cliquez sur une icône pour vous connecter:

Logo WordPress.com

Vous commentez à l'aide de votre compte WordPress.com. Déconnexion / Changer )

Image Twitter

Vous commentez à l'aide de votre compte Twitter. Déconnexion / Changer )

Photo Facebook

Vous commentez à l'aide de votre compte Facebook. Déconnexion / Changer )

Photo Google+

Vous commentez à l'aide de votre compte Google+. Déconnexion / Changer )

Connexion à %s

%d blogueurs aiment cette page :